Subject: Re: bug#68235: 29.1.90; Switching tabs stops following process output in selected window

From: Juri Linkov <[email-masked]>
Date: Thu, 25 Jan 2024 19:46:28 +0200

>>> We could add a new field to the buffer structure and a function
>>> say 'buffer-last-name' which would return the last name a buffer had
>>> before it was renamed: nil for a new buffer, the old name before the
>>> last 'rename-buffer' and the last buffer name for a dead buffer.
>>
>> Looks nice.
>
> I attach a patch.

Thanks, will try to use.

>>> 'kill-buffer' calls reset_buffer_local_variables which scans the local
>>> variables alist of the buffer and resets all values to their default
>>> values.  Giving the variable either a 'permanent-local' property or
>>> binding the default value to the buffer local value around 'kill-buffer'
>>> could work around that but I'd rather try to save this (and other buffer
>>> local values) in a separate alist for buffers stored in a configuration.
>>
>> To save revert-buffer-functions like saving positions of dired files
>> in window parameters?
>
> For example, yes.

OTOH, since there is a need to save more variables together with the
window configuration such as dired-filename and revert-buffer-function
anyway, maybe it would be possible to save the last buffer name in the
same alist?  Or the last buffer name should be used as a key in such
an alist?  Probably no.  It seems a key should be a window unless
such data is saved in a window parameter.